Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » debugging » userSymbols
next | previous | forward | backward | up | index | toc

# userSymbols -- a list of the user's symbols

- Usage:
    `userSymbols ()`
- Outputs:
  - a list, a list of symbols

## Description

userSymbols () provides a list of symbols defined by the user.
userSymbols X limits the list to those symbols whose values are instances of the class X.

Protected symbols are excluded from the list.

## See also

- listUserSymbols -- display the user's symbols

## For the programmer

The object userSymbols is a function closure.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_repl.m2:603:0.